CVE-2005-3161
CVSS7.5
发布时间 :2005-10-06 06:02:00
修订时间 :2017-07-10 21:33:06
NMCO    

[原文]Multiple SQL injection vulnerabilities in PHP-Fusion before 6.00.110 allow remote attackers to execute arbitrary SQL commands via (1) the activate parameter in register.php and (2) the cat_id parameter in faq.php.


[CNNVD]PHP-Fusion Register.PHP和FAQ.PHP SQL注入漏洞(CNNVD-200510-053)

        PHP-Fusion是一个轻量级开源内容管理系统。
        PHP-Fusion 6.00.110之前版本存在多个SQL注入漏洞。远程攻击者可以借助(1)register.php中的activate参数和(2)faq.php中的cat_id参数,执行任意SQL指令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:php_fusion:php_fusion:6.00.101
cpe:/a:php_fusion:php_fusion:6.00.102
cpe:/a:php_fusion:php_fusion:6.00.107
cpe:/a:php_fusion:php_fusion:6.00.108
cpe:/a:php_fusion:php_fusion:6.00.103
cpe:/a:php_fusion:php_fusion:6.00.104
cpe:/a:php_fusion:php_fusion:6.00.109
cpe:/a:php_fusion:php_fusion:6.00.100
cpe:/a:php_fusion:php_fusion:6.00.105
cpe:/a:php_fusion:php_fusion:6.00.106

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3161
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3161
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200510-053
(官方数据源) CNNVD

- 其它链接及资源

http://securityreason.com/securityalert/54
(UNKNOWN)  SREASON  54
http://www.php-fusion.co.uk/news.php?readmore=261
(VENDOR_ADVISORY)  CONFIRM  http://www.php-fusion.co.uk/news.php?readmore=261
http://www.securityfocus.com/bid/15018
(PATCH)  BID  15018
https://exchange.xforce.ibmcloud.com/vulnerabilities/22532
(UNKNOWN)  XF  phpfusion-faq-register-sql-injection(22532)

- 漏洞信息

PHP-Fusion Register.PHP和FAQ.PHP SQL注入漏洞
高危 SQL注入
2005-10-06 00:00:00 2006-06-14 00:00:00
远程  
        PHP-Fusion是一个轻量级开源内容管理系统。
        PHP-Fusion 6.00.110之前版本存在多个SQL注入漏洞。远程攻击者可以借助(1)register.php中的activate参数和(2)faq.php中的cat_id参数,执行任意SQL指令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        PHP-Fusion PHP-Fusion 6.0 .106
        PHP-Fusion php-fusion-6.00.110.zip
        http://prdownloads.sourceforge.net/php-fusion/php-fusion-6.00.110.zip?download
        PHP-Fusion PHP-Fusion 6.0.105
        PHP-Fusion php-fusion-6.00.110.zip
        http://prdownloads.sourceforge.net/php-fusion/php-fusion-6.00.110.zip?download
        PHP-Fusion PHP-Fusion 6.0.107
        PHP-Fusion php-fusion-6.00.110.zip
        http://prdownloads.sourceforge.net/php-fusion/php-fusion-6.00.110.zip?download
        PHP-Fusion PHP-Fusion 6.0.109
        PHP-Fusion php-fusion-6.00.110.zip
        http://prdownloads.sourceforge.net/php-fusion/php-fusion-6.00.110.zip?download

- 漏洞信息

19866
PHP-Fusion register.php activate Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

PHP-Fusion contains a flaw that may allow a remote attacker to carry out an SQL injection attack. The issue is due to the 'register.php' script not properly sanitizing user-supplied input to the 'activate' variable. This may allow a remote attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2005-10-06 2005-10-04
Unknow Unknow

- 解决方案

Upgrade to version 6.00.110 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站